﻿using Hotline.Share.Enums.Order;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Share.Dtos.Order.WaitQuery
{
    public class QueryOrderWaitedFixedDto : QueryFixedDto
    {
        /// <summary>
        /// 开始时间
        /// </summary>
        public DateTime? StartTime { get; set; }

        /// <summary>
        /// 结束时间
        /// </summary>
        public DateTime? EndTime { get; set; }

        public string? Keyword { get; set; }

        public bool? IsProvince { get; set; }

        /// <summary>
        /// true: 工单已办
        /// false: 工单待办
        /// </summary>
        public bool? IsHandled { get; set; }
        public bool? IsCounterSign { get; set; }
        public bool? ExpiredOrAlmostOverdue { get; set; }
        public string? No { get; set; }

        /// <summary>
        /// 是否紧急
        /// </summary>
        public bool? IsUrgent { get; set; }

        /// <summary>
        /// 区域
        /// </summary>
        public string? AreaCode { get; set; }

        /// <summary>
        /// 工单状态
        /// </summary>
        public EOrderStatus? Status { get; set; }

        /// <summary>
        /// 1: 交办件
        /// 2: 办结件
        /// </summary>
        public int? TypeCode { get; set; }

        /// <summary>
        /// 1 中心办理  2 转单件 3 二次派发件
        /// </summary>
        public int? QueryType { get; set; }

        /// <summary>
        /// 排序字段
        /// </summary>
        public string? SortField { get; set; }

        /// <summary>
        /// 排序方式 // 0 升序 1 降序
        /// </summary>
        public int? SortRule { get; set; }
    }
}
